edu.isi.pegasus.planner.dax

## Enum File.LINK

- java.lang.Object
- - java.lang.Enum<File.LINK>
  - - edu.isi.pegasus.planner.dax.File.LINK

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<File.LINK>

Enclosing class:
  File

    public static enum File.LINK
    extends java.lang.Enum<File.LINK>

The linkages that a file can be of

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`inout`
`INOUT`
`input`
`INPUT`
`output`
`OUTPUT`

### Method Summary

All Methods Static Methods Concrete Methods
`static File.LINK` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static File.LINK[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### INPUT

    public static final File.LINK INPUT

#### input

    public static final File.LINK input

#### OUTPUT

    public static final File.LINK OUTPUT

#### output

    public static final File.LINK output

#### INOUT

    public static final File.LINK INOUT

#### inout

    public static final File.LINK inout

### Method Detail

#### values

    public static File.LINK[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (File.LINK c : File.LINK.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static File.LINK valueOf(java.lang.String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
  `java.lang.NullPointerException` - if the argument is null